package com.qunzhixinxi.hnqz.admin.enums;

/**
 * 积分包任务类型1/2枚举类
 *
 * @author lixuesong
 * @date 2021年05月30日 16:18
 */
public enum PackageTypeEnum {
	/**
	 * type1积分包（定额）
	 */
	TYPE1_SCOTE_PACKAGE("1", "定额", "积分包"),
	/**
	 * type1任务包（定量）
	 */
	TYPE1_TASK_PACKAGE("2", "定量", "任务包"),
	/**
	 * type1通用包
	 */
	TYPE1_COMMON_PACKAGE("3", "通用包", "通用包"),
	/**
	 * type1结算包（证据链）
	 */
	TYPE1_SETTLE_PACKAGE("4", "证据链", "结算包"),
	/**
	 * type1问诊包（患者教育）
	 */
	TYPE1_HCP_PACKAGE("5", "患者教育", "问诊包"),
	/**
	 * type2任务包（定额、定量、通用）
	 */
	TYPE2_TASK_PACKAGE("1", "任务包", "任务包"),
	/**
	 * type2结算包（证据链、患者教育）
	 */
	TYPE2_SETTLE_PACKAGE("2", "结算包", "结算包"),

	TYPE_NULL("", "", "")
	;

	private String val;

	private String name;

	private String name2;

	PackageTypeEnum(String val, String name, String name2) {
		this.val = val;
		this.name = name;
		this.name2 = name2;
	}

	public String val() {
		return this.val;
	}

	public String getName() {
		return this.name;
	}

	public String getName2() {
		return this.name2;
	}

	public static PackageTypeEnum type1Resolve(String val){
		for (PackageTypeEnum packageTypeEnum: PackageTypeEnum.values()){
			if (packageTypeEnum.val.equals(val) && packageTypeEnum.name().startsWith("TYPE1_")){
				return packageTypeEnum;
			}
		}
		return TYPE_NULL;
	}
}
